#
# spec file for package gedit (Version 2.12.1)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa Mesa-devel aaa_base acl alsa alsa-devel aspell aspell-devel aspell-en atk atk-devel attr audiofile audiofile-devel audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 cairo cairo-devel coreutils cpio cpp cracklib cups-libs cvs cyrus-sasl db dbus-1 dbus-1-devel dbus-1-glib desktop-translations diffutils docbook_4 e2fsprogs eel eel-devel esound esound-devel expat fam file filesystem fillup findutils flex fontconfig fontconfig-devel freetype2 freetype2-devel gail gail-devel gawk gcc gconf2 gconf2-devel gdbm gdbm-devel gettext gettext-devel glib2 glib2-devel glibc glibc-devel glibc-locale glitz glitz-devel gnome-common gnome-desktop gnome-desktop-devel gnome-filesystem gnome-icon-theme gnome-keyring gnome-keyring-devel gnome-menus gnome-menus-devel gnome-patch-translation gnome-vfs2 gnome-vfs2-devel gnutls gnutls-devel gpm grep groff gtk2 gtk2-devel gtksourceview gtksourceview-devel gzip hal hal-devel indent info insserv intltool kdelibs3 kdelibs3-doc klogd less libacl libart_lgpl libart_lgpl-devel libattr libbonobo libbonobo-devel libbonoboui libbonoboui-devel libcom_err libdrm libgcc libgcrypt libgcrypt-devel libglade2 libglade2-devel libgnome libgnome-devel libgnomecanvas libgnomecanvas-devel libgnomeprint libgnomeprint-devel libgnomeprintui libgnomeprintui-devel libgnomesu libgnomeui libgnomeui-devel libgpg-error libgpg-error-devel libgtop libgtop-devel libidl libidl-devel libidn libjpeg libjpeg-devel libnscd libpng libpng-devel libstdc++ libstdc++-devel libtiff libtool libusb libwnck libwnck-devel libxcrypt libxml2 libxml2-devel libxslt libzio m4 mDNSResponder-devel mDNSResponder-lib make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openmotif-libs openssl openssl-devel orbit2 orbit2-devel pam pam-modules pango pango-devel patch perl perl-XML-Parser permissions pkgconfig popt popt-devel procinfo procps psmisc pwdutils qt3 rcs readline resmgr rpm scrollkeeper sed sgml-skel shared-mime-info startup-notification startup-notification-devel strace sysvinit tar tcpd texinfo timezone unzip update-desktop-files util-linux vim xorg-x11-devel xorg-x11-libs zlib zlib-devel

Name:           gedit
BuildRequires:  aspell-devel docbook_4 eel-devel gnome-common gnome-patch-translation gnutls-devel gtksourceview-devel indent intltool kdelibs3-doc libgnomeprintui-devel libgtop-devel libidl-devel libwnck-devel mDNSResponder-devel perl-XML-Parser scrollkeeper update-desktop-files
%define prefix   /opt/gnome
%define sysconfdir /etc%{prefix}
License:        GPL
Group:          Productivity/Editors/Other
Autoreqprov:    on
Version:        2.12.1
Release:        28.10
Summary:        The Editor for the GNOME 2.x Desktop
Source:         ftp://ftp.gnome.org/pub/gnome/sources/gedit/2.10/%{name}-%{version}.tar.bz2
URL:            http://www.gnome.org
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Docdir:         %{_defaultdocdir}/gedit
PreReq:         filesystem /usr/bin/touch gconf2
Provides:       gedit2
Obsoletes:      gedit2
Patch1:         gedit-default-plugins.patch
Patch2:         gedit-desktop.patch
Patch3:         gedit-goto-line.patch
Patch4:         gedit-autodetect-utf-16.patch
Patch5:         gedit-recent-files.patch
Patch6:         gedit-vfs-save.patch
Patch100:       gedit-gnome-patch-translation-update.patch

%description
Gedit is a small, fast, and reliable editor for the GNOME 2.x Desktop.



Authors:
--------
    Chema Celorio <chema@ximian.com>
    Paolo Maggi <maggi@athena.polito.it>  

%debug_package
%package devel
Summary:        The Editor for the GNOME 2.x Desktop
Group:          Productivity/Editors/Other
Autoreqprov:    on
Provides:       gedit2-devel
Obsoletes:      gedit2-devel
Requires:       libgnomeui-devel libglade2-devel libgnomeprintui-devel eel-devel gtksourceview-devel

%description devel
Gedit is a small, fast, and reliable editor for the GNOME 2.x Desktop.



Authors:
--------
    Chema Celorio <chema@ximian.com>
    Paolo Maggi <maggi@athena.polito.it>  

%prep
%setup -q
rm po/no.*
sed "s/\(ALL_LINGUAS.*\) no /\1 /" configure.in > configure.in.tmp && \
	mv configure.in.tmp configure.in
gnome-patch-translation-prepare
%patch1 -p1
%patch2 -p1
%patch3
%patch4
%patch5
%patch6 -p1
gnome-patch-translation-update
%patch100

%build
autoreconf --install --force
CFLAGS="$RPM_OPT_FLAGS" \
CXXFLAGS="$RPM_OPT_FLAGS" \
  ./configure \
    --prefix=%prefix \
    --libdir=%prefix/%_lib \
    --sysconfdir=%sysconfdir \
    --mandir=%prefix/share/man \
    --localstatedir=/var/%_lib
export LIBRARY_PATH=/opt/gnome/%_lib 
make

%install
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1    
make install DESTDIR=$RPM_BUILD_ROOT
#remove the stuff we don't want
rm -rf $RPM_BUILD_ROOT/var/%_lib/scrollkeeper
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL   
# cleanup buildroot
rm -f $RPM_BUILD_ROOT/%{prefix}/%_lib/gedit-2/plugins/*.la
gzip -9nf $RPM_BUILD_ROOT%{prefix}/share/man/man?/*.?
%find_lang gedit
%suse_update_desktop_file -N gedit -G "Text Editor" gedit TextEditor
for xml in $RPM_BUILD_ROOT%{prefix}/share/gnome/help/gedit/*/gedit.xml; do
    meinproc --check --cache `echo $xml | sed 's/xml$/cache.bz2/'` $xml || :
done

%post
export GCONF_CONFIG_SOURCE=`opt/gnome/bin/gconftool-2 --get-default-source` 
opt/gnome/bin/gconftool-2 --makefile-install-rule etc/opt/gnome/gconf/schemas/gedit.schemas >/dev/null
touch var/adm/SuSEconfig/run-scrollkeeper-update

%postun
touch var/adm/SuSEconfig/run-scrollkeeper-update

%clean
rm -rf $RPM_BUILD_ROOT

%files -f gedit.lang
%defattr(-, root, root)
%{sysconfdir}/gconf/schemas/gedit.schemas
%{prefix}/share/applications/*.desktop
%{prefix}/share/application-registry/gedit.applications
%{prefix}/share/gnome/help/gedit/*/*.bz2
%{prefix}/share/omf/gedit
%{prefix}/share/gedit-2
%{prefix}/share/mime-info/*
%{prefix}/share/idl/*
%dir %{prefix}/%_lib/gedit-2
%dir %{prefix}/%_lib/gedit-2/plugins
%{prefix}/%_lib/gedit-2/plugins/*.so*
%{prefix}/%_lib/gedit-2/plugins/*gedit-plugin
%{prefix}/share/pixmaps/*.png
%{prefix}/bin/gedit
%{prefix}/bin/gnome-text-editor
%doc %{prefix}/share/man/man1/gedit*
%{prefix}/%_lib/bonobo/servers/*.server
%{prefix}/%_lib/pkgconfig/*.pc
%{prefix}/include/*

%changelog -n gedit
* Thu Jun 29 2006 - sbrabec@suse.cz
- Last minute gnome-patch-translation strings merge:
  * legacy encoding list fix (#116777)
- Fixed Norwegian translation update (#116777#12).
* Mon Jun 26 2006 - sbrabec@suse.cz
- Fixed false UTF-16 detection.
* Thu Jun 15 2006 - dave@suse.de
- Fix a problem with the save backport (bnc #181897)
* Wed May 17 2006 - dave@suse.de
- Backport some gnome-vfs saving code from 2.14 (bnc #168187)
* Tue May 09 2006 - danw@suse.de
- Don't crash if one of the recently-used files has an unparsable
  URL. #173887
* Fri Apr 07 2006 - sbrabec@suse.cz
- Declare MIME support for more plain text formats to compete with
  Emacs.
* Thu Apr 06 2006 - joeshaw@suse.de
- Add a patch to autodetect UTF-16.  (bnc #116777)
* Tue Feb 28 2006 - sbrabec@suse.cz
- Use kdelibs3-doc in BuildRequires for meinproc (#153635#c14).
* Fri Feb 17 2006 - sreeves@suse.de
- Update .desktop file (Name, GenericName, Comment, DocPath)
* Wed Feb 01 2006 - sbrabec@suse.cz
- Use translation compendium gnome-patch-translation.
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Dec 19 2005 - ro@suse.de
- added gnome-text-editor symlink to filelist
* Thu Oct 13 2005 - gekker@suse.de
- Update to version 2.12.1
* Mon Sep 05 2005 - mmj@suse.de
- Update to version 2.12.0 (GNOME 2.12)
* Tue Aug 23 2005 - gekker@suse.de
- Update to version 2.11.92
* Fri Aug 19 2005 - sreeves@suse.de
- gedit-goto-line.patch to fix bugzilla.novell.com defect#6582
* Thu Aug 11 2005 - gekker@suse.de
- Update to version 2.11.91
* Mon Jun 13 2005 - sbrabec@suse.cz
- Updated to version 2.10.3 (#90339, CAN-2005-1686).
- Build spell plugin.
* Thu Apr 14 2005 - sbrabec@suse.cz
- Added audiofile-devel to neededforbuild.
* Thu Mar 10 2005 - gekker@suse.de
- Update to version 2.10.0 (GNOME 2.10).
* Thu Mar 03 2005 - gekker@suse.de
- Update to version 2.9.7
- Add gedit-desktop.patch
- Add gnome-icon-theme to neededforbuild
* Thu Feb 10 2005 - gekker@suse.de
- Update to version 2.9.6
* Tue Feb 08 2005 - ro@suse.de
- added gnome-desktop to neededforbuild
* Mon Feb 07 2005 - ro@suse.de
- added gnome-menus to neededforbuild
* Wed Jan 26 2005 - clahey@suse.de
- Update to version 2.9.5
* Fri Jan 21 2005 - gekker@suse.de
- Use Rudi's improved 64-bit fix
* Fri Jan 21 2005 - gekker@suse.de
- Fix the 64-bit build
* Thu Jan 20 2005 - gekker@suse.de
- Update to version 2.9.4
* Fri Nov 19 2004 - ro@suse.de
- removed extra aclocal include directive
* Tue Oct 26 2004 - mmj@suse.de
- Locale rename no to nb
* Tue Sep 21 2004 - sbrabec@suse.cz
- Fixed devel dependences.
* Wed Aug 25 2004 - clahey@suse.de
- Cache gedit docs and have gedit show up in khelpcenter.
* Wed Aug 04 2004 - clahey@suse.de
- Added gedit-default-plugins patch from Robert.
* Wed May 05 2004 - sbrabec@suse.cz
- Updated to version 2.6.1 (GNOME 2.6).
* Mon Mar 22 2004 - sbrabec@suse.cz
- Provide nad obsolete gedit2-devel.
* Wed Mar 17 2004 - sbrabec@suse.cz
- Fixed scrollkeeper calling conventions (#36215).
* Mon Mar 15 2004 - sbrabec@suse.cz
- FHS 2.3 fix (mandir, infodir, #35821).
* Wed Mar 10 2004 - sbrabec@suse.cz
- Fixed gconf schemas installation (#33114).
- Fixed %%doc attributes (#33163).
* Fri Feb 20 2004 - sbrabec@suse.cz
- Package renamed to gedit.
* Thu Feb 12 2004 - hhetter@suse.de
- gconf schema (de-)installation in %%post and %%postun
* Wed Jan 21 2004 - ro@suse.de
- fix pixmaps/Makefile.am
* Sat Jan 10 2004 - adrian@suse.de
- build as user
* Mon Oct 27 2003 - sbrabec@suse.cz
- Updated to version 2.4.1.
* Thu Oct 09 2003 - sbrabec@suse.cz
- Updated to version 2.4.0 (GNOME 2.4).
* Sat Sep 20 2003 - kukuk@suse.de
- Obsolete old gedit (solves file conflict)
* Tue Aug 19 2003 - sbrabec@suse.cz
- Updated neededforbuild (rename of librsvg2, eel2).
* Sat Aug 16 2003 - adrian@suse.de
- add Categories
* Mon Jul 14 2003 - sbrabec@suse.cz
- GNOME prefix change to /opt/gnome.
* Fri Jul 04 2003 - ro@suse.de
- fix find_lang usage
* Wed Jul 02 2003 - hhetter@suse.de
- updated to version 2.2.2
- use find_lang
* Fri Jun 27 2003 - ro@suse.de
- added directories to filelist
* Wed Jun 11 2003 - ro@suse.de
- added unpackaged files to filelist
- remove .la files of plugins from buildroot
* Wed Feb 26 2003 - hhetter@suse.de
- fix build (use omf.make) (#24336)
- fix filelist (#24336)
* Fri Feb 07 2003 - hhetter@suse.de
- updated to version 2.2.0.1 [GNOME 2.2.0]
* Tue Jan 28 2003 - hhetter@suse.de
- updated to version 2.2.0
- filelist review
* Mon Jan 20 2003 - ro@suse.de
- update to 2.1.6
* Tue Jan 14 2003 - ro@suse.de
- added expat to neededforbuild
* Tue Nov 19 2002 - hhetter@suse.de
- updated to version 2.0.6
* Mon Nov 11 2002 - ro@suse.de
- changed neededforbuild <xf86 xdevel> to <x-devel-packages>
* Fri Nov 08 2002 - sbrabec@suse.cz
- Added --libdir to configure.
* Thu Nov 07 2002 - hhetter@suse.de
- updated to version 2.0.5
- %%_lib fixes
* Tue Sep 24 2002 - sbrabec@suse.cz
- Added alsa-devel to neededforbuild, because esound-devel can require it.
* Thu Sep 19 2002 - sbrabec@suse.cz
- Added alsa to neededforbuild, because esound can depend on it.
* Fri Sep 13 2002 - sf@suse.de
- fixed to work on 64-bit archs
  call of eel_read_entire_file() was with &gsize instead of int,
  sizeof(gsize) == sizeof(long)
* Thu Aug 22 2002 - uli@suse.de
- fixed to build on lib64 archs
* Tue Aug 20 2002 - hhetter@suse.de
- added PreReq: filesystem
* Tue Aug 13 2002 - ro@suse.de
- removed control-center from neededforbuild
* Mon Aug 12 2002 - ro@suse.de
- added openssl-devel to neededforbuild
* Fri Aug 09 2002 - hhetter@suse.de
- added openssl to neededforbuild
* Wed Jul 31 2002 - hhetter@suse.de
- fix build with scrollkeeper
- initiate scrollkeeper-update
* Thu Jul 25 2002 - jordi@suse.de
- updated to version 2.0.2
* Tue Jul 16 2002 - hhetter@suse.de
- updated to version 2.0.1, fix descriptions from
  bugzilla.gnome.org:
  [#75861] Deleting a file in use does not prompt for "save" on close
  [#76001] Should not save window geometry on exit
  [#86333] modality problem on info/message box
  [#87265] s/gedit/Text Editor?
* Thu Jun 20 2002 - hhetter@suse.de
- don't install schemas while make install
* Wed Jun 19 2002 - hhetter@suse.de
- updated to version 2.0.0
* Thu Jun 13 2002 - hhetter@suse.de
- supply schema files
* Thu Jun 13 2002 - jordi@suse.de
- Updated to version 1.121.1
* Mon Apr 15 2002 - hhetter@suse.de
- initial SuSE release
